| Kea 3.0.2-git

logger_unittest_support.h File Reference

Miscellaneous logging functions used by the unit tests. More...

`#include <string>`
`#include <log/logger.h>`
Include dependency graph for logger_unittest_support.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::log

## Functions
void | isc::log::initLogger (isc::log::Severity severity=isc::log::DEBUG, int dbglevel=isc::log::MAX_DEBUG_LEVEL)
| Run-Time Initialization for Unit Tests from Environment.
int | isc::log::keaLoggerDbglevel (int defdbglevel)
| Obtains logging debug level from KEA_LOGGER_DBGLEVEL.
isc::log::Severity | isc::log::keaLoggerSeverity (isc::log::Severity defseverity)
| Obtains logging severity from KEA_LOGGER_SEVERITY.

## Detailed Description

Miscellaneous logging functions used by the unit tests.

As the configuration database is usually unavailable during unit tests, the functions defined here allow a limited amount of logging configuration through the use of environment variables

Definition in file logger_unittest_support.h.